Opened 5 months ago

Last modified 5 months ago

#65389 assigned defect

gnuplot: #include nested too deeply

Reported by: chuckcoleman Owned by: mojca (Mojca Miklavec)
Priority: Normal Milestone:
Component: ports Version:
Keywords: Cc:
Port: gnuplot

Description (last modified by ryandesign (Ryan Schmidt))

Originally, I got errors about not being able to find /opt/local/lib/glib-2.0/include/stdlib/stdint.h. I fixed that only to get the new error. The errors are near the bottom of the attachment.

gnuplot v. 5.4.3 Command: sudo port install gnuplot +qt5 (required to install maxima)

Have upgraded MacPorts to current version for my OS

Attachments (1)

main.log (499.4 KB) - added by chuckcoleman 5 months ago.
port install log file

Download all attachments as: .zip

Change History (6)

Changed 5 months ago by chuckcoleman

Attachment: main.log added

port install log file

comment:1 Changed 5 months ago by chuckcoleman

Description: modified (diff)
Port: gnuplot added

comment:2 in reply to:  description Changed 5 months ago by ryandesign (Ryan Schmidt)

Description: modified (diff)

Replying to chuckcoleman:

Originally, I got errors about not being able to find /opt/local/lib/glib-2.0/include/stdlib/stdint.h. I fixed that only to get the new error.

What did you do to fix this?

comment:3 Changed 5 months ago by chuckcoleman

Before I did anything, I had updated glib. I made directory stdlib and copied /opt/local/lib/glib-2.0/include/stdint.h into it.

comment:4 Changed 5 months ago by ryandesign (Ryan Schmidt)

Where is this directory?

Almost certainly, you should undo what you did so we can focus on fixing the first problem correctly.

comment:5 Changed 5 months ago by jmroot (Joshua Root)

Owner: set to mojca
Status: newassigned
Note: See TracTickets for help on using tickets.